# The Mill's Messages - v0.2.0

This little [FoundryVTT](https://foundryvtt.com/) module gives the GMs a way to send messages to PCs with a bit more flair than
the chat, and more spontaneity than journals !

# Compatibility

This is *only* compatible with Foundry v12 currently.

# Installation

Currently, this can only be installed via manifest file, using the following URL :
```
https://git.tfk-astrodome.net/trotFunky/TheMillsMessages/raw/branch/release/module.json
```

# Behaviour

For GMs, a new entry on the left toolbar will appear with a new tool (a chat bubble) bringing up
the dialog window to send messages.

GMs can choose what name will appear as the sender and have access to the full ProseMirror editor
to send messages to as many players as they want at once.

Messages can be chained together – though they will be locked to all share the same recipients –
and will be displayed one after the other, when a player closes a message.  
In a chain, senders can be different from message to message.

By default, each player has a journal that will serve as a history of the messages they receive,
each page containing the messages from one specific recipient.  
Both the journals and pages will be created automatically.  
Players only have observer permissions on their own journal, which will take the name of their
character, or their own if they don't control one yet.  

The GM can send a message to an offline player, which will add it to its history if it is enabled,
but won't show up as a pop-up when they next log in.

# Settings

A few behaviours can be changed through the settings :
 - Title of the popup window showing the player the messages
 - A header to the message, by default showing who they received a message from
 - The name of the history journal
 - If history needs to be saved at all (disabling will *not store anything*)
 - A notification sound to be played for players when they receive a message (blank by default)

# Dependencies

The module depends on socketlib only at this time, to send the messages from the GM to the players.

# License

The code present in this repository is licensed under the Mozilla Public License 2.0.
